<!--登录页面-->
<template>
	<view id="ssoLoginH5">
		<web-view @message="handleMessage"
		src="https://labcontrol.nwafu.edu.cn/api/auth/cas/logout/applet">
		<!-- src="http://192.168.1.10:80/#/miniProgramAuthentication?token=41cd8b02-f612-4dd5-abbd-efb5c45d69ad"> -->
		</web-view>
	</view>
</template>

<script>
	export default {
		name: "ssoLoginH5",
		data() {
			return {
				
			}
		},
		onLoad(option) {
			
		},
		mounted() {
			const pages = getCurrentPages();
			const currentPage = pages[pages.length - 1];
			const prevPage = pages[pages.length - 2];
			if (prevPage && prevPage.route === 'pages/views/login/ssoCertification') {
				uni.redirectTo({
					url: '/pages/views/login/login',
				});
			}
		},
		methods: {
			handleMessage(e) {
				const receivedData = e.detail.data; // 接收到的数据
			}
		},
	}
</script>

<style lang="stylus" scoped>
	#ssoLoginH5 {
		width:100%;
		height:100%;
		overflow:scroll;
	}
</style>